## pack 0.1

=== DESCRIPTION ===
Package: pack
Type: Package
Title: Create and manipulate raw vectors
Version: 0.1
Date: 2008-07-22
Author: Josh Ulrich
Maintainer: Josh Ulrich <josh.m.ulrich@gmail.com>
Description: Functions to convert multiple data type values to/from raw bytes
License: GPL-3
LazyLoad: yes
Packaged: Sat Aug 16 14:50:55 2008; josh

## pack 0.0.4+git20191128.fd779b2

=== debian/changelog ===
pack (0.0.4+git20191128.fd779b2-0kali3) kali-dev; urgency=medium

  [ X0RW3LL ]
  * d/patches: Add Use-raw-string-for-regex-pattern.patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jul 2024 14:45:35 +0200

pack (0.0.4+git20191128.fd779b2-0kali2) kali-dev; urgency=medium

  * Remove useless needs-root restrictions in autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Jun 2023 14:53:44 +0200

pack (0.0.4+git20191128.fd779b2-0kali1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 0.0.4+git20191128.fd779b2
  * Remove patch: fixed upstream
  * Add basic autopkgtest
  * Update upstream page (https://bugs.kali.org/view.php?id=7913)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 Jun 2023 11:14:23 +0200

pack (0.0.4-0kali6) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Add executable to helper-script
  * New helper-script format
  * Add Uploaders
  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  [ Steev Klimaszewski ]
  * Update d/watch to point to git.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 20 Dec 2022 15:21:03 -0600

pack (0.0.4-0kali5) kali-dev; urgency=medium

  * Depend on kali-defaults

 -- Ben Wilson <g0tmi1k@kali.org>  Wed, 25 Aug 2021 12:21:19 +0100

pack (0.0.4-0kali4) kali-dev; urgency=medium

  * Use kali-deprecated for helper-script

 -- Ben Wilson <g0tmi1k@kali.org>  Mon, 26 Jul 2021 22:44:28 +0100

pack (0.0.4-0kali3) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Add a patch to Python 3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2019 15:40:26 +0200

pack (0.0.4-0kali2) kali-dev; urgency=medium

  * Add a helper-script to indicate that dictstat is obsolete

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Apr 2016 10:00:27 +0200

pack (0.0.4-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 03 Feb 2016 17:48:36 +0100

pack (0.0.2-1kali2) kali-dev; urgency=medium

  * Drop dependency on python-support (obsolete package)
  * Use debhelper 9

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Jan 2016 11:41:29 +0100

pack (0.0.2-1kali1) kali; urgency=low

  * Updated watch file

 -- Mati Aharoni <muts@kali.org>  Sun, 12 Jan 2014 17:52:40 -0500

pack (0.0.2-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Mon, 07 Jan 2013 09:28:00 -0700

=== debian/control ===
Source: pack
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Mati Aharoni <muts@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
           Ben Wilson <g0tmi1k@kali.org>,
Build-Depends: debhelper-compat (= 12), dh-python, python3-all
Standards-Version: 4.6.2
Homepage: https://github.com/Hydraze/pack
Vcs-Git: https://gitlab.com/kalilinux/packages/pack.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/pack

Package: pack
Architecture: all
Depends: ${misc:Depends},
  ${python3:Depends},
  python3-enchant,
  kali-defaults,
Description: Password analysis and cracking kit
 PACK was developed in order to aid in a password cracking
 competition "Crack Me If You Can" that occurred during
 Defcon 2010. The goal of this toolkit is to aid in
 preparation for the "better than bruteforce" password
 attacks by analyzing common ways that people create
 passwords. After the analysis stage, the statistical
 database can be used to generate attack masks for tools
 such as oclHashcat.
 .
 NOTE: This tool itself can not crack passwords, but helps
 other tools crack more passwords faster.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_installdirs
	install maskgen.py $(CURDIR)/debian/pack/usr/bin/maskgen
	install policygen.py $(CURDIR)/debian/pack/usr/bin/policygen
	install rulegen.py $(CURDIR)/debian/pack/usr/bin/rulegen
	install statsgen.py $(CURDIR)/debian/pack/usr/bin/statsgen
	install debian/helper-script/* $(CURDIR)/debian/pack/usr/bin/

=== debian/tests/control ===
Test-Command: statsgen --help && maskgen --help && policygen --help
Restrictions: superficial

Test-Command: rulegen --help
Restrictions: superficial

=== debian/watch ===
version=4
opts=mode=git,pgpmode=none,pretty=0.0.4+git%cd.%h \
  https://github.com/Hydraze/pack HEAD
# Upstream does not tag releases, the version is in rulegen.py
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pack-$1.tar.gz%" \
#    https://github.com/iphelix/pack/tags \
#    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pack 0.1-1

=== DESCRIPTION ===
Package: pack
Type: Package
Title: Convert values to/from raw vectors
Version: 0.1-1
Date: 2008-08-22
Author: Josh Ulrich
Maintainer: Josh Ulrich <josh.m.ulrich@gmail.com>
Description: Functions to easily convert data to binary formats other programs/machines can understand.
License: GPL-3
LazyLoad: yes
Packaged: Sun Sep  7 19:46:20 2008; josh

## pack 0.1-2

=== DESCRIPTION ===
Package: pack
Type: Package
Title: Convert Values to/from Raw Vectors
Version: 0.1-2
Authors@R: c(
  person(c("Joshua","M."), "Ulrich", , "josh.m.ulrich@gmail.com", c("cre", "aut")),
  person("Ken", "Williams", , , c("aut", "cph"))
  )
Description: Functions to easily convert data to binary formats other programs/machines can understand.
License: GPL-3
LazyLoad: yes
Suggests: tinytest
NeedsCompilation: no
Packaged: 2025-05-04 18:53:46 UTC; josh
Author: Joshua M. Ulrich [cre, aut],
  Ken Williams [aut, cph]
Maintainer: Joshua M. Ulrich <josh.m.ulrich@gmail.com>
Repository: CRAN
Date/Publication: 2025-05-07 12:40:06 UTC
